<?php
if (!defined('ABSPATH')) exit; // No access of directly access

class ConBix_Addons
{

	private static $_instance = null;

	public static function instance()
	{
		if (is_null(self::$_instance)) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function init()
	{
		// Register widgets
		add_action('elementor/widgets/register', [$this, 'conbix_toolkit_register_widgets']);
	}

	public function conbix_toolkit_register_widgets()
	{
		// Its is now safe to include Widgets files

		require_once('widget/slider-banner.php');
		require_once('widget/about-us.php');
		require_once('widget/blog-grid.php');
		require_once('widget/features.php');
		require_once('widget/testimonial.php');
		require_once('widget/team.php');
		require_once('widget/section-title.php');
		require_once('widget/widget-form.php');
		require_once('widget/portfolio.php');
		require_once('widget/cta.php');
		require_once('widget/service.php');
		require_once('widget/history.php');
		require_once('widget/work-process.php');
		require_once('widget/why-us.php');
		require_once('widget/price.php');
		require_once('widget/faq.php');
		require_once('widget/question.php');
		require_once('widget/portfolio-meta.php');
		require_once('widget/skills-bar.php');
		require_once('widget/button.php');
		require_once('widget/team-info.php');
		require_once('widget/team-experience.php');
		require_once('widget/contact-form.php');
		require_once('widget/contact-info.php');
		// Theme Builder
		require_once('widget/theme-builder/logo.php');
		require_once('widget/theme-builder/custom-menu.php');
		require_once('widget/theme-builder/list-menu.php');
		require_once('widget/theme-builder/search.php');
		require_once('widget/theme-builder/contact-info.php');
	}
}

// Instantiate Plugin Class
ConBix_Addons::instance()->init();